"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dynamoDBCli = void 0;
const utils_sh_1 = require("@goldstack/utils-sh");
const template_dynamodb_1 = require("@goldstack/template-dynamodb");
const dynamoDBCli = async (migrations, args) => {
    const goldstackConfig = JSON.parse((0, utils_sh_1.read)(`${process.cwd()}/goldstack.json`));
    const packageSchema = JSON.parse((0, utils_sh_1.read)(`${process.cwd()}/schemas/package.schema.json`));
    process.env.GOLDSTACK_DEPLOYMENT = args[1];
    if (args[0] === 'init') {
        await (0, template_dynamodb_1.connect)({
            goldstackConfig,
            packageSchema,
            migrations,
            deploymentName: args[1],
        });
        return;
    }
    if (args[0] === 'delete') {
        await (0, template_dynamodb_1.deleteTable)({
            goldstackConfig,
            packageSchema,
            deploymentName: args[1],
        });
        return;
    }
    if (args[0] === 'migrate-to') {
        await (0, template_dynamodb_1.migrateDownTo)({
            goldstackConfig,
            packageSchema,
            migrations,
            migrationName: args[2],
            deploymentName: args[1],
        });
        return;
    }
    throw new Error(`Unknown DynamoDB table command: ${args[0]}`);
};
exports.dynamoDBCli = dynamoDBCli;
//# sourceMappingURL=dynamoDBTableCli.js.map